## jeolib-jiplib 1.1.5%2Bds

=== debian/changelog ===
jeolib-jiplib (1.1.5+ds-1) unstable; urgency=medium

  * Initial release.
    (closes: #1100830)
  * Added a patch to fix problems with Swig 4.3 currently used in sid (and
    retaining back-compatibility).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 30 Mar 2025 18:23:40 +0200

## jeolib-jiplib 1.1.5+ds

=== CMakeLists.txt ===
###############################################################################
# CMakeLists build script for cmake
# Author(s): Pieter.Kempeneers@ec.europa.eu
# Copyright (C) 2016-2023 European Union (Joint Research Centre)
#
# This file is part of jiplib.

# jiplib is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jiplib is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jiplib.  If not, see <https://www.gnu.org/licenses/>.
###############################################################################
cmake_minimum_required(VERSION 3.15)

# The project's name and version
project(jiplib)

# Name of C++ library
SET(JIPLIB_LIB_NAME jiplib)
SET(JIPLIB_PYTHON_LIB_NAME jiplib)

enable_testing()
INCLUDE(CTest)

SET(JIPLIB_VERSION_MAJOR 1)
SET(JIPLIB_VERSION_MINOR 1)
SET(JIPLIB_VERSION_PATCH 5)
SET(JIPLIB_VERSION "${JIPLIB_VERSION_MAJOR}.${JIPLIB_VERSION_MINOR}.${JIPLIB_VERSION_PATCH}")
SET(PACKAGE_VERSION "${JIPLIB_VERSION}")
SET(JIPLIB_SOVERSION "${JIPLIB_VERSION_MAJOR}")
SET(JIPLIB_PACKAGE_BUGREPORT "pieter.kempeneers@ec.europa.eu")

SET(CLASSIF 0 CACHE STRING "set a variable that can be used in Jim.cc")
SET(ODOITHIN 0 CACHE STRING "set a variable that can be used in Jim.cc")
SET(MCISRG 1 CACHE STRING "set a variable that can be used in Jim.cc")

SET(BUILD_WITH_LIBLAS FALSE CACHE BOOL "Choose if jiplib is to be built with liblas")
SET(BUILD_WITH_FANN TRUE CACHE BOOL "Choose if jiplib is to be built with fann")
SET(BUILD_WITH_PYTHON TRUE CACHE BOOL "Choose if jiplib is to be built with PYTHON support")
SET(PROCESS_IN_PARALLEL TRUE CACHE BOOL "Choose if jiplib should be run in parallel")
SET(BUILD_WITH_MIALLIB TRUE CACHE BOOL "Choose if jiplib should be compiled with miallib")
#from https://gitlab.kitware.com/cmake/community/-/wikis/doc/cmake/RPATH-handling
#By default if you don't change any RPATH related settings, CMake will
# link the executables and shared libraries with full RPATH to all used
# libraries in the build tree. When installing, it will clear the RPATH of
# these targets so they are installed with an empty RPATH
SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
SET(CMAKE_INSTALL_RPATH "$\{ORIGIN\}:${CMAKE_CURRENT_BINARY_DIR}")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

SET(PROJECT_INCLUDE_DIR include/jiplib)
SET(PROJECT_TEST_DIR test)

SET(CMAKE_COLOR_MAKEFILE ON)

if(BUILD_WITH_MIALLIB)
  SET(MIAL_BOOL 1)
else(BUILD_WITH_MIALLIB)
  SET(MIAL_BOOL 0)
endif(BUILD_WITH_MIALLIB)

option (BUILD_SHARED_LIBS "Build with shared library" ON)

# Platform and compiler specific settings

INCLUDE(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wno-long-long")
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has C++11 support.")
else(COMPILER_SUPPORTS_CXX11)
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

########## BUILDING INSTALLLER ##########
# build a CPack driven installer package
INCLUDE (InstallRequiredSystemLibraries)
SET(CPACK_RESOURCE_FILE_LICENSE
     "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_VERSION_MAJOR "${JIPLIB_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${JIPLIB_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${JIPLIB_VERSION_PATCH}")
SET(CPACK_GENERATOR "DEB")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Pieter Kempeneers")
SET(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
# Set files to ignore
list(APPEND CPACK_SOURCE_IGNORE_FILES "_CPack_Packages")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".gz")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".GZ")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".tgz")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".TGZ")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".bz2")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".BZ2")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".zip")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".ZIP")
list(APPEND CPACK_SOURCE_IGNORE_FILES "test")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".svn")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".git")
list(APPEND CPACK_SOURCE_IGNORE_FILES "HOWTORELEASE.txt")
list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeCache.txt")
list(APPEND CPACK_SOURCE_IGNORE_FILES "CPackConfig.cmake")
list(APPEND CPACK_SOURCE_IGNORE_FILES "schemas")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/build/;~$;${CPACK_SOURCE_IGNORE_FILES}")

INCLUDE(CPack)
CPACK_ADD_COMPONENT(libraries)
CPACK_ADD_COMPONENT(headers)
CPACK_ADD_COMPONENT(wheels)
SET(CPACK_DEB_COMPONENT_INSTALL YES)
SET(CPACK_COMPONENTS_ALL libraries headers wheels)

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")

# Make sure Boost libraries are found
SET(Boost_DEBUG 0)
find_package(Boost COMPONENTS filesystem system serialization REQUIRED)

if(BUILD_WITH_PYTHON)
  # SET(CREATE_WHEEL TRUE CACHE BOOL "Choose if jiplib PYTHON wheel is to be created")
  SET(CREATE_WHEEL TRUE CACHE BOOL "Choose if jiplib PYTHON wheel is to be created")
endif(BUILD_WITH_PYTHON)

MESSAGE(STATUS "CREATE_WHEEL: ${CREATE_WHEEL}")

SET(PYTHON3 ON CACHE BOOL "set ON for PYTHON3")

find_package(Python COMPONENTS NumPy Interpreter Development)
MESSAGE(STATUS "Python_NumPy_FOUND: ${Python_NumPy_FOUND}")

# detect virtualenv and set Pip args accordingly
# if(DEFINED ENV{VIRTUAL_ENV} OR DEFINED ENV{CONDA_PREFIX})
#   set(_pip_args)
# else()
#   set(_pip_args "--user")
# endif()
message(STATUS "Python version found: ${Python_VERSION}")
MESSAGE(STATUS "Python_LIBRARIES: ${Python_LIBRARIES}")
MESSAGE(STATUS "Python_INCLUDE_DIRS: ${Python_INCLUDE_DIRS}")
message(STATUS "Python package will be installed in ${Python_SITELIB}")

function(gdal_find_major _major)
    file(READ ${GDAL_INCLUDE_DIR}/gdal_version.h versionfile)
    string(REGEX MATCH "GDAL_VERSION_MAJOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MAJOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_MINOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MINOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_REV[\t ]+([0-9]+)" _ ${versionfile})
    SET(REV ${CMAKE_MATCH_1})
    SET(${_major} ${MAJOR} PARENT_SCOPE)
endfunction(gdal_find_major)

function(gdal_find_minor _minor)
    file(READ ${GDAL_INCLUDE_DIR}/gdal_version.h versionfile)
    string(REGEX MATCH "GDAL_VERSION_MAJOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MAJOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_MINOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MINOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_REV[\t ]+([0-9]+)" _ ${versionfile})
    SET(REV ${CMAKE_MATCH_1})
    SET(${_minor} ${MINOR} PARENT_SCOPE)
endfunction(gdal_find_minor)

function(gdal_find_rev _rev)
    file(READ ${GDAL_INCLUDE_DIR}/gdal_version.h versionfile)
    string(REGEX MATCH "GDAL_VERSION_MAJOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MAJOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_MINOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MINOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_REV[\t ]+([0-9]+)" _ ${versionfile})
    SET(REV ${CMAKE_MATCH_1})
    SET(${_rev} ${REV} PARENT_SCOPE)
endfunction(gdal_find_rev)

function(gdal_find_version _version)
    file(READ ${GDAL_INCLUDE_DIR}/gdal_version.h versionfile)
    string(REGEX MATCH "GDAL_VERSION_MAJOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MAJOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_MINOR[\t ]+([0-9]+)" _ ${versionfile})
    SET(MINOR ${CMAKE_MATCH_1})
    string(REGEX MATCH "GDAL_VERSION_REV[\t ]+([0-9]+)" _ ${versionfile})
    SET(REV ${CMAKE_MATCH_1})
    SET(${_version} ${MAJOR}.${MINOR}.${REV} PARENT_SCOPE)
endfunction(gdal_find_version)

SET(GDAL3 ON CACHE BOOL "set ON for GDAL3")
if(GDAL3)
  find_package(GDAL 3.00 REQUIRED)
else(GDAL3)
  find_package(GDAL 2.00 REQUIRED)
endif(GDAL3)

if(GDAL_FOUND)
  gdal_find_version(GDAL_VERSION)
  gdal_find_major(GDAL_VERSION_MAJOR)
  gdal_find_minor(GDAL_VERSION_MINOR)

  SET(CMAKE_SWIG_FLAGS "-DGDAL_VERSION_MAJOR=${GDAL_VERSION_MAJOR}")
  SET(CMAKE_SWIG_FLAGS "-DGDAL_VERSION_MINOR=${GDAL_VERSION_MINOR}")
  message(STATUS "GDAL version found: ${GDAL_VERSION}")
  message(STATUS "GDAL version major: ${GDAL_VERSION_MAJOR}")
  message(STATUS "GDAL version minor: ${GDAL_VERSION_MINOR}")
endif()

find_package(GSL REQUIRED)
if(GSL_FOUND)
  message(STATUS "Found GSL: ${GSL_LIBRARIES}")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(JSONCPP jsoncpp)
if(JSONCPP_FOUND)
  message(STATUS "JSONCPP package found: OK")
else(JSONCPP_FOUND)
  message(STATUS "Warning: JSONCPP package not found!")
endif(JSONCPP_FOUND)

if(PROCESS_IN_PARALLEL)
  find_package(OpenMP)
  if (OPENMP_FOUND)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    SET(PARALLEL_BOOL 1)
    message(STATUS "parallel processing: ${PARALLEL_BOOL}")
  endif(OPENMP_FOUND)
else(PROCESS_IN_PARALLEL)
  SET(PARALLEL_BOOL 0)
  message(STATUS "parallel processing: ${PARALLEL_BOOL}")
endif(PROCESS_IN_PARALLEL)

###############################################################################
# Setup configure file

INCLUDE(GNUInstallDirs)
SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/jiplib
  CACHE PATH "Location of header files" )
SET(SYSCONFIG_INSTALL_DIR ${CMAKE_INSTALL_SYSCONFDIR}/jiplib
  CACHE PATH "Location of configuration files" )

# configure a header file to pass some of the CMake settings to the source code
configure_file (
  "cmake-config.h.in"
  "config_jiplib.h"
  )

#Generating Package Files
INCLUDE(CMakePackageConfigHelpers)

configure_package_config_file(jiplib-config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/jiplib-config.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/jiplib
  PATH_VARS INCLUDE_INSTALL_DIR SYSCONFIG_INSTALL_DIR
  )
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/jiplib-config-version.cmake
  VERSION ${JIPLIB_VERSION}
  COMPATIBILITY AnyNewerVersion
  )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/jiplib-config.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/jiplib-config-version.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/jiplib )

configure_file ( "cmake.pc.in" "jiplib.pc"  @ONLY)


SET(BUILD_WITH_MIALLIB TRUE CACHE BOOL "JIPlib needs to be built with mialiab")

# Instruct CMake to inspect the following subfolders (with CMakeLists.txt in each subfolder)
add_subdirectory ("${PROJECT_TEST_DIR}")

if (BUILD_WITH_FANN)
  FIND_PACKAGE(FANN 2.2 REQUIRED)
endif(BUILD_WITH_FANN)

###############################################################################

#we will use a copy of the imageclasses in the binary build directory, where we can change the content (for MIALLIB)

message(STATUS "cmake_current_binary_dir: ${CMAKE_CURRENT_BINARY_DIR}")
file(COPY ${PROJECT_SOURCE_DIR}/src DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

SET(BASE_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/base)
SET(ALGOR_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/algorithms)
SET(FILECLASS_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/fileclasses)
SET(IMGCLASS_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/imageclasses)
SET(LASCLASS_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/lasclasses)
SET(APP_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/apps)

SET(BASE_H
  ${BASE_SRC_DIR}/IndexValue.h
  ${BASE_SRC_DIR}/typeconversion.h
  ${BASE_SRC_DIR}/Optionjl.h
  ${BASE_SRC_DIR}/PosValue.h
  ${BASE_SRC_DIR}/Vector2d.h
  )

SET(BASE_CC
  ${BASE_SRC_DIR}/typeconversion.cc
  ${BASE_SRC_DIR}/Vector2d.cc
  )

SET(ALGOR_H
  ${ALGOR_SRC_DIR}/ConfusionMatrix.h
  ${ALGOR_SRC_DIR}/CostFactory.h

=== debian/changelog ===
jeolib-jiplib (1.1.5+ds-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:40 +0200

jeolib-jiplib (1.1.5+ds-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:00:15 +0200

=== debian/control ===
Source: jeolib-jiplib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Section: libs
Priority: optional
Build-Depends: chrpath,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-numpy3,
               libboost-filesystem-dev,
               libboost-serialization-dev,
               libfann-dev,
               libgdal-dev,
               libgsl-dev,
               libjsoncpp-dev,
               libmiallib-dev,
               pkgconf,
               python3,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dev,
               python3-pip,
               python3-setuptools,
               swig
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debiani-gis/jeolib-jiplib
Vcs-Git: https://salsa.debian.org/debian-gis/jeolib-jiplib.git
Homepage: https://github.com/ec-jrc/jeolib-jiplib
Rules-Requires-Root: no

Package: libjiplib-dev
Section: libdevel
Architecture: any
Depends: libjiplib1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkgconf
Description: ISPRA JRC image processing for geospatial data library - Development files
 This is an intermediate level library written in C++ with Python
 binding used by PyJeo and possibly other tools for processing geospatial images. It
 provides a a comprehensive set of image processing functionality including:
 .
  * Image classification
  * Feature extraction
  * Spatial filtering
  * Morphological operations
  * Support Vector Machine operations
  * Neural Network algorithms
 .
 This package contains headers, static objects, scripts used
 to develop a program that uses this library.

Package: libjiplib1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ISPRA JRC image processing for geospatial data library
 This is an intermediate level library written in C++ with Python
 binding used by PyJeo and possibly other tools for processing geospatial images. It
 provides a a comprehensive set of image processing functionality including:
 .
  * Image classification
  * Feature extraction
  * Spatial filtering
  * Morphological operations
  * Support Vector Machine operations
  * Neural Network algorithms
 .
 This package contains the shared library.

Package: python3-jiplib
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python binding to the ISPRA JRC image processing for geospatial data library
 This is an intermediate level library written in C++ with Python
 binding used by PyJeo and possibly other tools for processing geospatial images. It
 provides a a comprehensive set of image processing functionality including:
 .
  * Image classification
  * Feature extraction
  * Spatial filtering
  * Morphological operations
  * Support Vector Machine operations
  * Neural Network algorithms
 .
 This package contains the Python classes and bindings.

## jeolib-jiplib 1.1.6%2Bds

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|jeolib-jiplib)[\-\_]?(\d[\d\-\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/jeolib-jiplib-$1.$2/,\
repacksuffix=+ds \
https://github.com/ec-jrc/jeolib-jiplib/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|jeolib-jiplib)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jeolib-jiplib 1.1.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 SET(JIPLIB_VERSION_MAJOR 1)
 SET(JIPLIB_VERSION_MINOR 1)
-SET(JIPLIB_VERSION_PATCH 5)
+SET(JIPLIB_VERSION_PATCH 6)
 SET(JIPLIB_VERSION "${JIPLIB_VERSION_MAJOR}.${JIPLIB_VERSION_MINOR}.${JIPLIB_VERSION_PATCH}")
 SET(PACKAGE_VERSION "${JIPLIB_VERSION}")
 SET(JIPLIB_SOVERSION "${JIPLIB_VERSION_MAJOR}")

=== doc/CMakeLists.txt ===
###############################################################################
# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  # SET(DOXY2SWIG ${CMAKE_CURRENT_SOURCE_DIR}/doxy2swig.py)
  find_program(DOXY2SWIG doxy2swig.py HINTS ${CMAKE_CURRENT_SOURCE_DIR})
  if(NOT DOXY2SWIG)
    message(WARNING "doxy2swig.py not found!")
  endif()

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    COMMAND ${PYTHON_EXECUTABLE} ${DOXY2SWIG} ${CMAKE_CURRENT_BINARY_DIR}/xml/index.xml ${CMAKE_CURRENT_BINARY_DIR}/jiplib_doc.i
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating jiplib API documentation with Doxygen" VERBATIM
    )
endif(DOXYGEN_FOUND)

# cd ~/jiplib/build
# make doc
# cd ~/jiplib/build/doc/xml
# python ~/jiplib/doxy2swig.py index.xml ~/jiplib/src/swig/jiplib_doc.i
# cd ~/jiplib/build
# touch ~/jiplib/src/swig/jiplib.i
# make -j

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = JIPlib
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SOURCEDIR)/help_create $(SOURCEDIR)/jiplib.rst $(SOURCEDIR)/jiplib.py $(BUILDDIR)/jiplib.py
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== test/CMakeLists.txt ===
###############################################################################
# CMakeLists build script for cmake
# Author(s): Pieter.Kempeneers@ec.europa.eu
# Copyright (C) 2016-2020 European Union (Joint Research Centre)
#
# This file is part of jiplib.

# jiplib is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jiplib is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jiplib.  If not, see <https://www.gnu.org/licenses/>.
###############################################################################

# find_package (Boost COMPONENTS system filesystem unit_test_framework REQUIRED)
# include_directories (${TEST_SOURCE_DIR}/src
#                      ${Boost_INCLUDE_DIRS}
#                      )
# add_definitions (-DBOOST_TEST_DYN_LINK)

# INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
set(SRC_INCLUDE_DIR "../src")
INCLUDE_DIRECTORIES(${SRC_INCLUDE_DIR})
message(STATUS "include_directores for test: ${SRC_INCLUDE_DIR}")

find_package(Python COMPONENTS Interpreter Development)
# find_package(PythonInterp)

set(TESTAPPS
  testMemoryLeak
  testCreateImg
  test2
  jltestexternal
  )

set(JIPLIBS
  ${JIPLIB_LIB_NAME}
  ${GSL_LIBRARIES}
  ${BOOST_LIBRARIES}
  ${Boost_FILESYSTEM_LIBRARY}
  ${Boost_SYSTEM_LIBRARY}
  ${Boost_SERIALIZATION_LIBRARY}
  )
# set(JIPLIBS
#   base
#   algorithms
#   imageClasses
#   ${GDAL_LIBRARIES}
#   ${JIPLIB_LIB_NAME}
#   ${Boost_FILESYSTEM_LIBRARY}
#   ${Boost_SYSTEM_LIBRARY}
#   ${Boost_SERIALIZATION_LIBRARY}
#   ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
#   )

foreach(TESTAPP ${TESTAPPS})
  add_executable(${TESTAPP} ${CMAKE_CURRENT_SOURCE_DIR}/${TESTAPP}.cc)
  TARGET_INCLUDE_DIRECTORIES(${TESTAPP} PUBLIC ${PYTHON_INCLUDE_PATH})
  target_link_libraries(${TESTAPP} ${JIPLIBS})
endforeach()

# Build executables

# add_executable(testCreateImg ${PROJECT_TEST_DIR}/testCreateImg.cc)
# add_executable(test2 ${PROJECT_TEST_DIR}/test2.cc)
# target_link_libraries( testCreateImg
#   ${JIPLIB_LIB_NAME}
#   ${GSL_LIBRARIES}
#   )
# target_link_libraries( test2
#   ${JIPLIB_LIB_NAME}
#   ${GSL_LIBRARIES}
#   )


########## CTEST ############
if(Python_Interpreter_FOUND)
  add_test(test0 echo "Success")
  set_tests_properties (test0 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test01 echo "${Python_EXECUTABLE}")
  set_tests_properties (test01 PROPERTIES PASS_REGULAR_EXPRESSION "python")
  add_test(test1 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_open.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test1 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test2 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_write.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_2010_write.tif)
  set_tests_properties (test2 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test3 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_downsample.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test3 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test4 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_upsample.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test4 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test5 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_opensubset.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --extent ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_training.sqlite)
  set_tests_properties (test5 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test6 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_createsimple.py)
  set_tests_properties (test6 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test7 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_refdxdy.py)
  set_tests_properties (test7 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test8 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_bb.py)
  set_tests_properties (test8 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test9 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_init.py)
  set_tests_properties (test9 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test10 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_randgaussian.py)
  set_tests_properties (test10 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test11 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_randuniform.py)
  set_tests_properties (test11 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test12 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_createreference.py)
  set_tests_properties (test12 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test13 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_copyimage.py)
  set_tests_properties (test13 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test14 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_createtemplate.py)
  set_tests_properties (test14 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test141 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_crop.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --extent ${CMAKE_CURRENT_SOURCE_DIR}/data/nuts_italy.sqlite --cut_to_cutline True --nodata 0 --output ${CMAKE_BINARY_DIR}/Testing/crop.tif)
  set_tests_properties (test141 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test142 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_crop.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --extent ${CMAKE_CURRENT_SOURCE_DIR}/data/nuts_italy.sqlite --cut_in_cutline True --nodata 255 --output ${CMAKE_BINARY_DIR}/Testing/crop.tif)
  set_tests_properties (test142 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test143 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_crop.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --extent ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_training.sqlite --output ${CMAKE_BINARY_DIR}/Testing/crop.tif)
  set_tests_properties (test143 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test15 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_setthreshold.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --min 10 --max 50)
  set_tests_properties (test15 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test16 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_setthreshold.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --min 0 --max 1)
  set_tests_properties (test16 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test17 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_getmask.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test17 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test18 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_setmask.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test18 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test19 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_setmask.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vectormask ${CMAKE_CURRENT_SOURCE_DIR}/data/nuts_italy.sqlite)
  set_tests_properties (test19 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test20 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_composite.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif)
  set_tests_properties (test20 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test211 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_extractogr.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_grid.sqlite)
  set_tests_properties (test211 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test212 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_extractogr.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vector ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_training.sqlite --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_training.sqlite)
  set_tests_properties (test212 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test213 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_extractogr.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vector ${CMAKE_CURRENT_SOURCE_DIR}/data/nuts_italy.sqlite --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_nuts.sqlite)
  set_tests_properties (test213 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test214 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_extractogr.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vector ${CMAKE_CURRENT_SOURCE_DIR}/data/nuts_italy.sqlite --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_nuts_noread.sqlite --noread True)
  set_tests_properties (test214 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  # add_test(test215 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_extractSample.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/corine.tif --output ${CMAKE_BINARY_DIR}/Testing/corine_sample.sqlite --random 100)
  # set_tests_properties (test215 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test22 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_classify.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vector ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_training.sqlite --model ${CMAKE_BINARY_DIR}/Testing/model.txt --output ${CMAKE_BINARY_DIR}/Testing/modis_ndvi_classify.tif --classifier "svm")
  set_tests_properties (test22 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test221 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_classify_s2.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/s2.tif --reference ${CMAKE_CURRENT_SOURCE_DIR}/data/clc_32632.tif --model ${CMAKE_BINARY_DIR}/Testing/model_sml.txt --output ${CMAKE_BINARY_DIR}/Testing/sml_class.tif --classifier "sml")
  set_tests_properties (test221 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test222 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_classify_s2.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/s2.tif --reference ${CMAKE_CURRENT_SOURCE_DIR}/data/clc_32632.tif --model ${CMAKE_BINARY_DIR}/Testing/model_svm.txt --sampleSize 100 --output ${CMAKE_BINARY_DIR}/Testing/svm_class.tif --classifier "svm" --training ${CMAKE_BINARY_DIR}/Testing/training_svm.shp)
  set_tests_properties (test222 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test223 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_classify_s2.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/s2.tif --reference ${CMAKE_CURRENT_SOURCE_DIR}/data/clc_32632.tif --model ${CMAKE_BINARY_DIR}/Testing/model_ann.txt --sampleSize 100 --output ${CMAKE_BINARY_DIR}/Testing/ann_class.tif --classifier "ann")
  set_tests_properties (test223 PROPERTIES PASS_REGULAR_EXPRESSION "Success")
  add_test(test224 ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pytest_classifyOgr.py --input ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_2010.tif --vector ${CMAKE_CURRENT_SOURCE_DIR}/data/modis_ndvi_training.sqlite --model ${CMAKE_BINARY_DIR}/Testing/model.txt --output ${CMAKE_BINARY_DIR}/Testing/svm_class.sqlite --classifier "svm")
  set_tests_properties (test224 PROPERTIES PASS_REGULAR_EXPRESSION "Success")

=== debian/changelog ===
jeolib-jiplib (1.1.6+ds-2build1) resolute; urgency=medium

  * Rebuild against latest gdal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:30:25 -0500

jeolib-jiplib (1.1.6+ds-2) unstable; urgency=medium

  * Team upload.
  * Ignore test failures everywhere except amd64.
  * Re-enable Salsa CI i386 jobs.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Add patch to fix library installation path.
  * Add patch to fix wheel build (requires --no-build-isolation)
  * Use cmake buildsystem for parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Oct 2025 08:03:45 +0100

jeolib-jiplib (1.1.6+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118729)
  * Update copyright file.
  * Drop obsolete include from rules file.
  * Drop patches applied upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 10:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
 Vcs-Browser: https://salsa.debian.org/debiani-gis/jeolib-jiplib
 Vcs-Git: https://salsa.debian.org/debian-gis/jeolib-jiplib.git
 Homepage: https://github.com/ec-jrc/jeolib-jiplib
-Rules-Requires-Root: no
 
 Package: libjiplib-dev
 Section: libdevel
@@ -37,9 +36,9 @@
          ${misc:Depends}
 Recommends: pkgconf
 Description: ISPRA JRC image processing for geospatial data library - Development files
- This is an intermediate level library written in C++ with Python
- binding used by PyJeo and possibly other tools for processing geospatial images. It
- provides a a comprehensive set of image processing functionality including:
+ This is an intermediate level library written in C++ with Python binding used
+ by PyJeo and possibly other tools for processing geospatial images. It
+ provides a comprehensive set of image processing functionality including:
  .
   * Image classification
   * Feature extraction
@@ -48,17 +47,17 @@
   * Support Vector Machine operations
   * Neural Network algorithms
  .
- This package contains headers, static objects, scripts used
- to develop a program that uses this library.
+ This package contains headers, static objects, scripts used to develop a
+ program that uses this library.
 
 Package: libjiplib1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: ISPRA JRC image processing for geospatial data library
- This is an intermediate level library written in C++ with Python
- binding used by PyJeo and possibly other tools for processing geospatial images. It
- provides a a comprehensive set of image processing functionality including:
+ This is an intermediate level library written in C++ with Python binding used
+ by PyJeo and possibly other tools for processing geospatial images. It
+ provides a comprehensive set of image processing functionality including:
  .
   * Image classification
   * Feature extraction
@@ -76,9 +75,9 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Description: Python binding to the ISPRA JRC image processing for geospatial data library
- This is an intermediate level library written in C++ with Python
- binding used by PyJeo and possibly other tools for processing geospatial images. It
- provides a a comprehensive set of image processing functionality including:
+ This is an intermediate level library written in C++ with Python binding used
+ by PyJeo and possibly other tools for processing geospatial images. It
+ provides a comprehensive set of image processing functionality including:
  .
   * Image classification
   * Feature extraction

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PYTHON_INSTALL_LAYOUT=deb_system

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake --builddir=build

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifeq (,$(filter $(DEB_BUILD_ARCH),amd64))
	PYTHONPATH=$(CURDIR)/build dh_auto_test || echo "Ignoring test failures"
else
	PYTHONPATH=$(CURDIR)/build dh_auto_test
endif

execute_after_dh_auto_install:
	find $(CURDIR)/debian/tmp -name '*.so*' -exec chrpath -d {} \;

## jeolib-jiplib 1.1.7+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###############################################################################
 # CMakeLists build script for cmake
 # Author(s): Pieter.Kempeneers@ec.europa.eu
-# Copyright (C) 2016-2023 European Union (Joint Research Centre)
+# Copyright (C) 2016-2026 European Union (Joint Research Centre)
 #
 # This file is part of jiplib.
 
@@ -32,7 +32,7 @@
 
 SET(JIPLIB_VERSION_MAJOR 1)
 SET(JIPLIB_VERSION_MINOR 1)
-SET(JIPLIB_VERSION_PATCH 6)
+SET(JIPLIB_VERSION_PATCH 7)
 SET(JIPLIB_VERSION "${JIPLIB_VERSION_MAJOR}.${JIPLIB_VERSION_MINOR}.${JIPLIB_VERSION_PATCH}")
 SET(PACKAGE_VERSION "${JIPLIB_VERSION}")
 SET(JIPLIB_SOVERSION "${JIPLIB_VERSION_MAJOR}")
@@ -124,7 +124,7 @@
 
 # Make sure Boost libraries are found
 SET(Boost_DEBUG 0)
-find_package(Boost COMPONENTS filesystem system serialization REQUIRED)
+find_package(Boost COMPONENTS filesystem serialization REQUIRED)
 
 if(BUILD_WITH_PYTHON)
   # SET(CREATE_WHEEL TRUE CACHE BOOL "Choose if jiplib PYTHON wheel is to be created")

=== debian/changelog ===
jeolib-jiplib (1.1.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    (closes: #1110635)
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Mark libjiplib1 as Multi-Arch: same.
  * Drop patches applied upstream, refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Feb 2026 13:45:52 +0100

jeolib-jiplib (1.1.6+ds-3) unstable; urgency=medium

  * Team upload.
  * Replace python3-all-dev build dependency with python3-dev.
    (closes: #1120566)
  * Fix Vcs-* URLs.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Dec 2025 07:17:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Section: libs
-Priority: optional
 Build-Depends: chrpath,
                cmake,
                debhelper-compat (= 13),
@@ -18,15 +17,15 @@
                libmiallib-dev,
                pkgconf,
                python3,
-               python3-all-dev,
+               python3-dev,
                python3-numpy,
                python3-numpy-dev,
                python3-pip,
                python3-setuptools,
                swig
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/debiani-gis/jeolib-jiplib
-Vcs-Git: https://salsa.debian.org/debian-gis/jeolib-jiplib.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/jeolib-jiplib
+Vcs-Git: https://salsa.debian.org/debian-gis-team/jeolib-jiplib.git
 Homepage: https://github.com/ec-jrc/jeolib-jiplib
 
 Package: libjiplib-dev
@@ -51,6 +50,7 @@
  program that uses this library.
 
 Package: libjiplib1
+Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
